curl --request GET \
--url https://api.ssi.com.vn/api/v3/data/indexSummary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.ssi.com.vn/api/v3/data/indexSummary"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ssi.com.vn/api/v3/data/indexSummary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"tradingDate": "2026/06/12",
"totalTrade": "5`70616712",
"totalTradeValue": "13915275870880",
"totalMatch": "452560911",
"totalMatchValue": "11754696092800",
"totalDeal": "118055801",
"totalDealValue": "2160579778080",
"indexChange": "19.77",
"indexChangePercentage": "1.11",
"indexValue": "1793.18",
"totalAdvanceStock": "154",
"totalCeilingStock": "6",
"totalDeclineStock": "152",
"totalFloorStock": "2",
"totalNoChangeStock": "55",
"totalPropBuy": "0",
"totalPropBuyValue": "0",
"totalPropSell": "0",
"totalPropSellValue": "0"
}
]{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}Tổng hợp chỉ số
Lấy thông tin tổng hợp của một chỉ số theo ngày giao dịch.
Ủy quyền
Access token lấy từ endpoint /api/v3/auth/token hoặc /api/v3/auth/refresh.
Tiêu đề
Định dạng nội dung request body. Chủ yếu là application/json.
Thông tin client gửi request.
Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc định là en
Tham số truy vấn
Mã sàn của chỉ số. Giá trị có thể là HOSE, HNX, hoặc UPCOM. Bắt buộc cung cấp chính xác một trong hai tham số board hoặc index.
Mã chỉ số cần lấy thông tin tổng hợp (ví dụ VNINDEX, VN30, HNX30). Bắt buộc cung cấp chính xác một trong hai tham số board hoặc index.
Ngày giao dịch theo định dạng YYYY/MM/DD.
Phản hồi
Thành công.
Ngày giao dịch.
Tổng số giao dịch.
Tổng giá trị giao dịch.
Tổng số lệnh khớp.
Tổng giá trị khớp lệnh.
Tổng số giao dịch thỏa thuận.
Tổng giá trị giao dịch thỏa thuận.
Mức thay đổi của chỉ số.
Tỷ lệ phần trăm thay đổi của chỉ số.
Giá trị chỉ số.
Tổng số mã tăng giá.
Tổng số mã tăng trần.
Tổng số mã giảm giá.
Tổng số mã giảm sàn.
Tổng số mã không đổi giá.
Tổng số lượng mua của nhà đầu tư nước ngoài.
Tổng giá trị mua của nhà đầu tư nước ngoài.
Tổng số lượng bán của nhà đầu tư nước ngoài.
Tổng giá trị bán của nhà đầu tư nước ngoài.